tbb::flow::interface9::opencl_subbuffer< T, Factory > Class Template Reference
Inheritance diagram for tbb::flow::interface9::opencl_subbuffer< T, Factory >:

## Public Member Functions

| opencl_subbuffer (const opencl_buffer< T, Factory > &owner, size_t index, size_t size)
Public Member Functions inherited from tbb::flow::interface9::opencl_buffer< T, Factory >
template<access_type a>
iterator< a > | access () const
T * | data () const
template<access_type a = read_write>
iterator< a > | begin () const
template<access_type a = read_write>
iterator< a > | end () const
size_t | size () const
T & | operator[] (ptrdiff_t k)
| opencl_buffer (opencl_graph &g, size_t size)
| opencl_buffer (Factory &f, size_t size)
cl_mem | native_object () const
const opencl_buffer & | memory_object () const
void | send (opencl_device device, dependency_msg< opencl_buffer, Factory > &dependency) const
void | receive (const dependency_msg< opencl_buffer, Factory > &dependency) const
opencl_subbuffer< T, Factory > | subbuffer (size_t index, size_t size) const

## Additional Inherited Members

Public Types inherited from tbb::flow::interface9::opencl_buffer< T, Factory >
typedef cl_mem | native_object_type
typedef opencl_buffer | memory_object_type
typedef Factory | opencl_factory_type
template<access_type a>
using | iterator = T *

The documentation for this class was generated from the following file:

- flow_graph_opencl_node.h

Copyright © 2005-2017 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.